*******************************************************
* Standard PIC16C5X MACRO Library for PICAS Assembler *
*******************************************************

#macro Movfw  par_a       ;Move Contents of File Register to W
  Movf par_a,0
#endm

#macro Tstf  par_a        ;Test Contents of File Register
  Movf par_a,1
#endm

#macro Negf  par_a, par_b   ;Negate File Register Contents
  Comf par_a,1
  Incf par_a,par_b
#endm

#macro B  par_a           ;Branch to Address par_a (9 bit address)
  Goto par_a
#endm

#macro Clrc                ;Clear Carry
  Bcf 3,0
#endm

#macro Clrdc               ;Clear Digit Carry
  Bcf 3,1
#endm

#macro Clrz                ;Clear Zero
  Bcf 3,2
#endm

#macro Setc                ;Set Carry
  Bsf 3,0
#endm

#macro Setdc               ;Set Digit Carry
  Bsf 3,1
#endm

#macro Setz                ;Set Zero
  Bcf 3,2
#endm

#macro Skpc                ;Skip On Carry
  Btfss 3,0
#endm

#macro Skpdc               ;Skip On Digit Carry
  Btfss 3,1
#endm

#macro Skpnc               ;Skip On No Carry
  Btfsc 3,0
#endm

#macro Skpndc              ;Skip On No Digit Carry
  Btfsc 3,1
#endm

#macro Skpnz               ;Skip On No Zero
  Btfsc 3,2
#endm

#macro Skpz                ;Skip On Zero
  Btfss 3,2
#endm

#macro Bc  par_a           ;Branch On Carry to Address par_a
  Btfsc 3,0
  Goto par_a
#endm

#macro Bdc  par_a         ;Branch On Digit Carry to Address par_a
  Btfsc 3,1
  Goto par_a
#endm

#macro Bnc  par_a         ;Branch On No Carry to Address par_a
  Btfss 3,0
  Goto par_a
#endm

#macro Bndc  par_a        ;Branch On No Digit Carry to Address par_a
  Btfss 3,1
  Goto par_a
#endm

#macro Bnz  par_a         ;Branch On No Zero to Address par_a
  Btfss 3,2
  Goto par_a
#endm

#macro Bz  par_a          ;Branch On Zero to Address par_a
  Btfsc 3,2
  Goto par_a
#endm

#macro Addcf  par_a, par_b   ;Add Carry to Contents of File Register
  Btfsc 3,0
  Incf par_a,par_b
#endm

#macro Adddcf  par_a, par_b  ;Add Digit Carry to Contents of File
Register
  Btfsc 3,1
  Incf par_a,par_b
#endm

#macro Subcf  par_a, par_b   ;Subtract Carry from File Register
  Btfsc 3,1
  Decf par_a,par_b
#endm
